<ion-header>
  <ion-toolbar>
    <ion-buttons slot="start">
      <ion-menu-button></ion-menu-button> 
      <!-- <ion-button (click="onOpenMenu()")> 
        Open
      </ion-button> -->
    </ion-buttons>
    <ion-title>Discover Places</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content padding>
  <ion-segment (ionChange)="onFilterUpdate($event)" color="secondary">
    <ion-segment-button value="all" checked>All Places</ion-segment-button>
    <ion-segment-button value="bookable">Bookable Places</ion-segment-button>
  </ion-segment>
  <ion-grid>
    <ion-row>
      <ion-col size="12" size-sm="8" offset-sm="2" text-center>
        <ion-card>
          <ion-card-header>
            <ion-card-title> {{ loadedPlaces[0].title }} </ion-card-title>
            <ion-card-subtitle>Rp {{ loadedPlaces[0].price }} / Orang</ion-card-subtitle>
          </ion-card-header>
          <ion-img [src] = "loadedPlaces[0].imageUrl"></ion-img>
          <ion-card-content>
            {{ loadedPlaces[0].description }}
            <div style="text-align-last: center;">
              <ion-button
              fill="clear"
              color="primary"
              [routerLink]="['/','places','tabs','discover', loadedPlaces[0].id]"
              >More
              </ion-button>
            </div>
          </ion-card-content>
        </ion-card>
      </ion-col>
    </ion-row>
    <ion-row>
      <ion-col size="12" size-sm="8" offset-sm="2" text-center>
        <ion-virtual-scroll [items]="listedLoadedPlaces" approxItemHeight="70px"><!-- add virtual scrool -->
          <ion-item [routerLink]="['/','places','tabs','discover',place.id]" detail *virtualItem="let place">
            <ion-thumbnail slot="start">
              <ion-img [src] = "place.imageUrl"></ion-img>
            </ion-thumbnail>
            <ion-label>
              <h2>{{ place.title }}</h2>
              <p>{{ place.description }}</p>
            </ion-label>
          </ion-item>
        </ion-virtual-scroll>
      </ion-col>
    </ion-row>
  </ion-grid>
</ion-content>
